Cyan Web API - Version 1


POST api/nodeRoutes

            Creates a NodeRoute.
            

Request Information

Parameters

NameDescriptionAdditional information
nodeRouteRepresentation

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "nodeRouteId": "9975e54e-dcb8-40b9-a0b0-ad0ed6993c34",
  "tenantId": "a0e776d4-775d-4f61-a6fc-d75da424694f",
  "userId": "2e882c6c-e3f3-495e-a704-136a393a7ce6",
  "userGroupId": "9986a753-2b6e-4c5d-bdee-a6fb8fb2ed85",
  "deviceId": "8676dfbe-5cd8-49fd-b17d-9f090625113d",
  "deviceGroupId": "bb71be88-1f9b-4bee-a895-1e967470c666",
  "applicationId": "93187a94-4fc6-4d25-97f7-39acf52f05ea",
  "applicationVersionId": "2f60d6aa-e8bd-428f-96c1-c478312f8e0a",
  "nodeId": "e191587c-306f-47e0-acb7-96a7ef19af76",
  "name": "sample string 4",
  "description": "sample string 5",
  "nodeCyanId": 6,
  "cyanId": 7,
  "customKey": "sample string 8",
  "customValue": "sample string 9",
  "applyParentRoutes": true,
  "applyToDescendants": true,
  "applyToTree": true,
  "applyToParents": true,
  "applyToSiblings": true,
  "applyToSiblingsType": "sample string 15",
  "ignoreNodeIdsInRouting": [
    "sample string 1",
    "sample string 2",
    "sample string 3"
  ],
  "createdDateUtc": "2026-03-22T22:04:13.0031596+00:00",
  "updatedDateUtc": "2026-03-22T22:04:13.0031596+00:00"
}

application/xml, text/xml

Sample:
<NodeRouteRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-03-22T22:04:13.0031596+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-03-22T22:04:13.0031596+00:00</UpdatedDateUtc>
  <ApplicationId>93187a94-4fc6-4d25-97f7-39acf52f05ea</ApplicationId>
  <ApplicationVersionId>2f60d6aa-e8bd-428f-96c1-c478312f8e0a</ApplicationVersionId>
  <ApplyParentRoutes>true</ApplyParentRoutes>
  <ApplyToDescendants>true</ApplyToDescendants>
  <ApplyToParents>true</ApplyToParents>
  <ApplyToSiblings>true</ApplyToSiblings>
  <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
  <ApplyToTree>true</ApplyToTree>
  <CustomKey>sample string 8</CustomKey>
  <CustomValue>sample string 9</CustomValue>
  <CyanId>7</CyanId>
  <Description>sample string 5</Description>
  <DeviceGroupId>bb71be88-1f9b-4bee-a895-1e967470c666</DeviceGroupId>
  <DeviceId>8676dfbe-5cd8-49fd-b17d-9f090625113d</DeviceId>
  <IgnoreNodeIdsInRouting xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
    <d2p1:string>sample string 3</d2p1:string>
  </IgnoreNodeIdsInRouting>
  <Name>sample string 4</Name>
  <NodeCyanId>6</NodeCyanId>
  <NodeId>e191587c-306f-47e0-acb7-96a7ef19af76</NodeId>
  <NodeRouteId>9975e54e-dcb8-40b9-a0b0-ad0ed6993c34</NodeRouteId>
  <TenantId>a0e776d4-775d-4f61-a6fc-d75da424694f</TenantId>
  <UserGroupId>9986a753-2b6e-4c5d-bdee-a6fb8fb2ed85</UserGroupId>
  <UserId>2e882c6c-e3f3-495e-a704-136a393a7ce6</UserId>
</NodeRouteRepresentation>

application/x-www-form-urlencoded

Sample:

Sample not available.